%% Track spectral weight across the transition

set(0,'defaulttextInterpreter','latex')
set(groot, 'defaultAxesTickLabelInterpreter','latex'); set(groot, 'defaultLegendInterpreter','latex');

format long

% Load data
Data   = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/B2.3G/WithoutProcessing/DropletsToStripes.mat', 'unique_theta', 'mean_sf', 'stderr_sf');

down_scan_parameter_values = Data.unique_theta;
dts_mean_sf      = Data.mean_sf;
down_stderr_sf    = Data.stderr_sf;

Data   = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/B2.3G/WithoutProcessing/StripesToDroplets.mat', 'unique_theta', 'mean_sf', 'stderr_sf');

std_theta_values = Data.unique_theta;
std_mean_sf      = Data.mean_sf;
std_stderr_sf    = Data.stderr_sf;

figure(1);
set(gcf,'Position',[100 100 950 750])
errorbar(down_scan_parameter_values, dts_mean_sf, down_stderr_sf, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName' , 'Droplets to Stripes');
hold on
errorbar(std_theta_values, std_mean_sf, std_stderr_sf, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName', 'Stripes to Droplets');
set(gca, 'FontSize', 14);   % For tick labels only
hXLabel = xlabel('\alpha (degrees)', 'Interpreter', 'tex');
hYLabel = ylabel('Spectral Weight', 'Interpreter', 'tex');
hTitle = title('B = 2.3 G', 'Interpreter', 'tex');
legend
set([hXLabel, hYLabel], 'FontName', font)
set([hXLabel, hYLabel], 'FontSize', 14)
set(hTitle, 'FontName', font, 'FontSize', 16, 'FontWeight', 'bold');  % Set font and size for title
grid on

%%

%% Track spectral weight across the transition

set(0,'defaulttextInterpreter','latex')
set(groot, 'defaultAxesTickLabelInterpreter','latex'); set(groot, 'defaultLegendInterpreter','latex');

format long

% Load data
Data   = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/RampDownSL.mat', 'unique_scan_parameter_values', 'mean_sf', 'stderr_sf');

down_scan_parameter_values = Data.unique_scan_parameter_values;
down_mean_sf      = Data.mean_sf;
down_stderr_sf    = Data.stderr_sf;

Data   = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/RampUpSL.mat', 'unique_scan_parameter_values', 'mean_sf', 'stderr_sf');

up_scan_parameter_values = Data.unique_scan_parameter_values;
up_mean_sf               = Data.mean_sf;
up_stderr_sf             = Data.stderr_sf;

figure(1);
set(gcf,'Position',[100 100 950 750])
errorbar(down_scan_parameter_values, down_mean_sf, down_stderr_sf, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName' , 'BEC to Droplets');
hold on
errorbar(up_scan_parameter_values, up_mean_sf, up_stderr_sf, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName', 'Droplets to BEC');
set(gca, 'FontSize', 14);   % For tick labels only
hXLabel = xlabel('B_z (G)', 'Interpreter', 'tex');
hYLabel = ylabel('Spectral Weight', 'Interpreter', 'tex');
hTitle = title('\alpha = 0', 'Interpreter', 'tex');
legend
set([hXLabel, hYLabel], 'FontName', font)
set([hXLabel, hYLabel], 'FontSize', 14)
set(hTitle, 'FontName', font, 'FontSize', 16, 'FontWeight', 'bold');  % Set font and size for title
grid on